Bug 28661 - 304 responses not appearing in listeners
304 responses not appearing in listeners
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: HTTP
2.0.0
PC All
: P3 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2004-04-28 15:40 UTC by Chris Newell
Modified: 2004-12-18 05:37 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Newell 2004-04-28 15:40:30 UTC
304 (not modified) HTTP responses are not appearing in results tree, table or 
aggregate report (and perhaps other listeners). They do not appear in the GUI 
or the log generated by the listeners.

In my case I'm using Tomcat v.4.1.24 (running on 2k3). Ethereal traces prove 
the server is responding with 304s but they don't appear in JMeter.

A sample of the request/response:

GET /clicktomeet/runtime/webendpoint/img/ico_sizeselector_medium_off_tb.gif 
HTTP/1.1
Connection: keep-alive
Referer: http://4proc/clicktomeet/index.htm?ID=15005
Host: 4proc
Accept-Language: en-us
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.1.4322)
If-Modified-Since: Wed, 28 Apr 2004 14:22:57 GMT
Accept: */*

HTTP/1.1 304 Not Modified
Date: Wed, 28 Apr 2004 15:07:07 GMT
Server: Apache Coyote/1.0
Comment 1 Chris Newell 2004-05-03 20:19:11 UTC
it occured to me that I should have included the fact that I'm using Sun's 
j2sdk1.4.2_03
Comment 2 Sebb 2004-12-18 13:56:20 UTC
Was the HTTP sampler set to follow redirects?
Were there any error messages in the jmeter.log file?

I guess the answer to both of these is yes - it looks as though JMeter tries to
interpret the 304 message as a redirect, but fails when it cannot interpret the
response:

2004/12/18 12:48:00 ERROR - jmeter.threads.JMeterThread: 
java.lang.NullPointerException
	at org.apache.oro.text.regex.Util.substitute(Unknown Source)
	at
org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.encodeSpaces(HTTPSamplerBase.java:697)
	at
org.apache.jmeter.protocol.http.sampler.HTTPSampler.followRedirects(HTTPSampler.java:626)
	at org.apache.jmeter.protocol.http.sampler.HTTPSampler.sample(HTTPSampler.java:555)
	at
org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.sample(HTTPSamplerBase.java:590)
	at
org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.sample(HTTPSamplerBase.java:578)
	at org.apache.jmeter.threads.JMeterThread.run(JMeterThread.java:260)
	at java.lang.Thread.run(Thread.java:534)

Obviously, this is a bug which needs to be fixed. In the mean-time, a work-round
is to uncheck the "Follow Redirects" option.
Comment 3 Sebb 2004-12-18 14:37:30 UTC
Fixed in 2.0 branch